Bug 117204 - anaconda loader should setup language specified by lang=XX earlier
anaconda loader should setup language specified by lang=XX earlier
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 11:27 EST by Maxim Dziumanenko
Modified: 2007-04-18 13:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-01 04:05:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch adding setLanguage before loadDriverDisk (736 bytes, patch)
2004-03-01 11:30 EST, Maxim Dziumanenko
no flags Details | Diff

  None (edit)
Description Maxim Dziumanenko 2004-03-01 11:27:04 EST
Description of problem:
If lang=ru (for example) specified as argument for loader 
it doent'd take effect until anaconda runs (in non-expert mode)
or until keyboard selection dialog (in expert node)

Version-Release number of selected component (if applicable):
anaconda-9.91-0.20040226192747

How reproducible:
Always

Steps to Reproduce:
1. Boot from Fedora2 test1 CD
2. Specify "linux initrd=initrd.img lang=ru ramdisk_size=8192" in
syslinux prompt
3. See "Loading SCSI driver", "CD Found", "Media Check" dialogs in 
English
  
Actual results:
Messages in English

Expected results:
Messages in Russian

Additional info:
However lang=XX is not used by default, it should be useful for custom
kickstart bootdisks
Comment 1 Maxim Dziumanenko 2004-03-01 11:30:25 EST
Created attachment 98163 [details]
patch adding setLanguage before loadDriverDisk
Comment 2 Jeremy Katz 2004-03-04 18:36:42 EST
Committed, thanks for the patch

Note You need to log in before you can comment on or make changes to this bug.